<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Squada+One&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
    <style>
        *{
            padding: 0;
            margin: 0;
            box-sizing: border-box;
        }
            body {
            width: 100%;
            height: 100vh;
            background-color: #e0d6e9;
            font-family: "Asap", sans-serif;
            }
            .container {
            max-width: 405px;
            margin: 137px auto;
            padding: 20px;
            display: flex;
            flex-direction: column;
            }
            .new-item-app {
            width: 100%;
            padding: 20px;
            border-radius: 5px;
            background-color: whitesmoke;
            border: 1px solid #d3d3d3;
            }
            .new-item-app h2 {
            padding: 10px;
            }
            .new-item-app input {
            width: 250px;
            padding: 5px;
            border-radius: 5px;
            border: 1px solid #d3d3d3;
            }
            .new-item-app button {
            width: fit-content;
            padding: 5px;
            cursor: pointer;
            border: 1px solid #d3d3d3;
            border-radius: 5px;
            background-color: whitesmoke;
            }
            .new-item-app button:hover {
            background-color: rgba(0, 0, 0, 0.1);
            }
            li {
            font-size: 1.5rem;
            }
            .new-item-list {
            margin-top: 20px;
            margin-right: 5px;
            padding: 0 20px 10px 25px;
            display: flex;
            flex-direction: column;
            gap: 15px;
            list-style: none;
            }
            .new-item-list li{
            font-size: small;
            background-color: whitesmoke;
            padding: 20px;
            }
</style>
</head>
<body>
    <div class="container">
        <div class="new-item-app">
          <h2>New item App</h2>
          <br>
          <input type="text" id="item" placeholder="Enter item...">
          <br>
          <br>
          <button onclick="add()">Add Item </button>
          <button onclick="del()">Clear all</button>
        </div>
        <ul class="new-item-list"></ul>
      </div>
  
</body>
<script>
    const ul = document.querySelector('ul');
    const input = document.getElementById('item');
    var itemsArray = localStorage.getItem('items') ?
    JSON.parse(localStorage.getItem('items')) : [];
    itemsArray.forEach(addTask);;
   
    
    function addTask(text){
        const li = document.createElement('li');
        li.textContent = text;
        ul.appendChild(li);
    }

    function add(){
        itemsArray.push(input.value);
        localStorage.setItem('items', JSON.stringify(itemsArray));
        addTask(input.value);
        input.value = '';
    }

    function del(){
        localStorage.clear();
        ul.innerHTML = '';
        itemsArray = [];
    }
</script>
</html>
